WPS4TextInternal::Paragraph Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
WPS4TextInternal::Paragraph Struct Reference

Internal: class to store paragraph properties. More...

Inheritance diagram for WPS4TextInternal::Paragraph:

## Public Member Functions
| Paragraph ()
| constructor More...
Public Member Functions inherited from WPSParagraph
| WPSParagraph ()
| constructor More...
virtual | ~WPSParagraph ()
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList More...
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline More...

## Additional Inherited Members
Public Types inherited from WPSParagraph
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...
typedef WPSList::Level | ListLevel
Public Attributes inherited from WPSParagraph
double | m_margins [3]
| the margins More...
double | m_spacings [3]
| the line spacing More...
librevenge::RVNGUnit | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
LineSpacingType | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
std::vector< WPSTabStop > | m_tabs
| the tabulations More...
libwps::Justification | m_justify
| the justification More...
int | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
int | m_listLevelIndex
| the actual level index More...
ListLevel | m_listLevel
| the actual level More...
WPSColor | m_backgroundColor
| the background color More...
int | m_border
| list of bits to indicated a border 1: LeftBorderBit, 2: RightBorderBit, ... More...
WPSBorder | m_borderStyle
| the border style More...
std::string | m_extra
| a string to store some errors More...

## Detailed Description

Internal: class to store paragraph properties.

## Constructor & Destructor Documentation

WPS4TextInternal::Paragraph::Paragraph | ( |  | ) |
| inline

constructor

The documentation for this struct was generated from the following file:

- WPS4Text.cpp